
Katello - Bug #4943

Fix jshint errors around missing gettext function

03/28/2014 08:07 PM - Walden Raines

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running "jshint:all" (jshint) task

Linting app/assets/javascripts/bastion/content-views/details/content-view-details.controller.js...

ERROR

[L62:C20] 'gettext' is not defined.

            return gettext("Successfully promoted %cv version %ver to %env")

[L69:C20] 'gettext' is not defined.

            return gettext("Successfully published %cv version %ver and promoted to Library")

Associated revisions

Revision c6cbe479 - 03/28/2014 04:08 PM - Walden Raines

Fixes #4943 - replace gettext with translate in CV details controller.

Revision d0fa1bf8 - 03/28/2014 08:08 PM - Walden Raines

Fixes #4943 - replace gettext with translate in CV details controller.

Revision 40153898 - 03/28/2014 08:47 PM - Walden Raines

Merge pull request #3914 from waldenraines/bug-4943

Fixes #4943 - replace gettext with translate in CV details controller.

History

#1 - 03/28/2014 08:07 PM - Walden Raines

- Status changed from New to Assigned

#2 - 03/28/2014 08:13 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3914

#3 - 03/28/2014 08:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d0fa1bf82eafeae377fec126f489cd981e668bb3.

#4 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
